XMLWriter::startElement
XMLWriter::text
XMLWriter Functions
PHP Manual

# XMLWriter::startPI

(PHP 5 >= 5.1.2, PECL xmlwriter >= 0.1.0)

XMLWriter::startPI — Create start PI tag

### Description

Oriented object style

XMLWriter
bool startPI ( string `$target` )

Procedural style

bool xmlwriter_start_pi ( resource `$xmlwriter` , string `$target` )

Starts a processing instruction tag.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`target`

  The target of the processing instruction.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLWriter::endPI - End current PI
- XMLWriter::writePI - Writes a PI

XMLWriter::startElement
XMLWriter::text
XMLWriter Functions
PHP Manual